/*
 * hardware.h
 *
 *  Created on: Feb 11, 2015
 *      Author: wn
 */

#ifndef HARDWARE_H_
#define HARDWARE_H_

const uint8_t PWM_PIN = 23;
const uint8_t PWM_LOOPBACK = 22;
const uint32_t PWM_FREQ = 23437;
// const uint32_t PWM_FREQ = 46875;
const uint32_t PWM_RES = 10;
const uint32_t PWM_MIN = 1;
const uint32_t PWM_MAX = 1023;

const uint8_t ADC_IN = 21;
const uint8_t ADC_RES = 10;
const uint32_t ADC_MIN = 0;
const uint32_t ADC_MAX = 1023;
const uint8_t ADC_AVG = 32;

const float R_top = 100000.0;
const float R_bottom = 6200.0;
const float U_ref = 3.3;

const uint8_t LCD_RS = 12;
const uint8_t LCD_E = 11;
const uint8_t LCD_D4 = 10;
const uint8_t LCD_D5 = 9;
const uint8_t LCD_D6 = 8;
const uint8_t LCD_D7 = 7;
const uint8_t LCD_ROWS = 2;
const uint8_t LCD_COLS = 16;

const uint8_t ROTARY_A = 19;
const uint8_t ROTARY_B = 18;
const uint8_t SWITCH = 20;



#endif /* HARDWARE_H_ */
